complexType "TradeProcessingTimestamps"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 5 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | orderEntered?, orderSubmitted?, publiclyReported?, publicReportUpdated?, timestamp*
</...>

Content Model Elements (5):

  orderEntered, orderSubmitted, publiclyReported, publicReportUpdated, timestamp

All Direct / Indirect Based Elements (2):

  timestamps (in partyTradeInformation), | timestamps (in tradeInformation)

Known Usage Locations

- As direct type of elements (2):

  timestamps (in partyTradeInformation), | timestamps (in tradeInformation)

Annotation
Allows timing information about when a trade was processed and reported to be recorded.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="TradeProcessingTimestamps"> <xsd:sequence> <xsd:element minOccurs="0" name="orderEntered" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="orderSubmitted" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="publiclyReported" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="publicReportUpdated" type="xsd:dateTime"/> <!--View Generation: SKIPPED nonpubliclyReported - Other-unavailable for this view--> <!--View Generation: SKIPPED nonpublicReportUpdated - Other-unavailable for this view--> <!--View Generation: SKIPPED submittedForConfirmation - Other-unavailable for this view--> <!--View Generation: SKIPPED updatedForConfirmation - Other-unavailable for this view--> <!--View Generation: SKIPPED confirmed - Other-unavailable for this view--> <!--View Generation: SKIPPED submittedForClearing - Other-unavailable for this view--> <!--View Generation: SKIPPED updatedForClearing - Other-unavailable for this view--> <!--View Generation: SKIPPED cleared - Other-unavailable for this view--> <!--View Generation: SKIPPED allocationsSubmitted - Other-unavailable for this view--> <!--View Generation: SKIPPED allocationsUpdated - Other-unavailable for this view--> <!--View Generation: SKIPPED allocationsCompleted - Other-unavailable for this view--> <!-- TODO: We are currently not including this in SDR reporting views, in order to encourange standardization of timestamp fields --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="timestamp" type="TradeTimestamp"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
orderEntered

  Type: | xsd:dateTime, predefined, simple content

  When an order was first generated, as recorded for the first time when it was first entered by a person or generated by a trading algorithm (i.e., the first record of the order).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="orderEntered" type="xsd:dateTime"/>

orderSubmitted

  Type: | xsd:dateTime, predefined, simple content

  The time when an order is submitted by a market participant to an execution facility, as recorded based on the timestamp of the message that was sent by the participant. If the participant records this time (i.e. it is in the participant's party trade information), it will be the time the message was sent. If the execution facility records this time (i.e. it is in the facility's party trade information), it will be the time the message was received.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="orderSubmitted" type="xsd:dateTime"/>

publiclyReported

  Type: | xsd:dateTime, predefined, simple content

  When the public report of this was created or received by this party. If the participant records this time (i.e. it is in the participant's party trade information), it will be the time the message was sent. If the execution records this time (i.e. it is in the facility's party trade information), it will be the time the message was received.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="publiclyReported" type="xsd:dateTime"/>

publicReportUpdated

  Type: | xsd:dateTime, predefined, simple content

  When the public report of this was most recently corrected or corrections were sent or received by this party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="publicReportUpdated" type="xsd:dateTime"/>

timestamp

  Type: | TradeTimestamp, complex content

  Other timestamps for this trade. This is provisional in Recordkeeping and Transparency view and may be reviewed in a subsequent draft.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="timestamp" type="TradeTimestamp"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.